Bug 1479437 - Azure inventory collection fails with missing instances for west-india region
Azure inventory collection fails with missing instances for west-india region
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
All Linux
high Severity medium
: GA
: 5.8.2
Assigned To: Daniel Berger
Leo Khomenko
: ZStream
Depends On: 1473619
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 10:46 EDT by Satoe Imaishi
Modified: 2017-10-23 20:36 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1473619
Environment:
Last Closed: 2017-10-23 20:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Azure


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 00:15:49 EDT

  None (edit)
Comment 2 CFME Bot 2017-08-08 10:58:31 EDT
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/f849e04357782e838f3f6b56e9c03a6194158c2c

commit f849e04357782e838f3f6b56e9c03a6194158c2c
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Mon Aug 7 16:28:41 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:49:53 2017 -0400

    Merge pull request #99 from djberg96/location_case
    
    Ignore case when gathering data for region
    (cherry picked from commit 6baf4610196e59054ccbd861614cbdab9146dd9f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479437

 .../providers/azure/refresh_helper_methods.rb      |  6 ++--
 .../providers/azure/refresh_helper_methods_spec.rb | 41 ++++++++++++++++++++++
 2 files changed, 44 insertions(+), 3 deletions(-)
 create mode 100644 spec/models/manageiq/providers/azure/refresh_helper_methods_spec.rb
Comment 3 Leo Khomenko 2017-08-29 14:04:27 EDT
refresh works fine. Instances are shown in UI
Comment 5 errata-xmlrpc 2017-10-23 20:36:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.